LC_CHANNEL_RQ_OVERHEAD(3)

NAME
lc_ctx_coding_set, lc_channel_rq_overhead - set Librecast RaptorQ overhead packets

LIBRARY
Librecast library (liblibrecast, -llibrecast)

SYNOPSIS
#include <librecast/net.h>

int lc_ctx_rq_overhead(lc_ctx_t *ctx, int overhead);
int lc_channel_rq_overhead(lc_channel_t *chan, int overhead);

Compile and link with -llibrecast.

DESCRIPTION
lc_ctx_rq_overhead() sets the default overhead packets for channels subsequently created using context ctx.

lc_channel_rq_overhead() sets RaptorQ overhead packets for a Librecast channel, chan, overriding any defaults inherited from the parent Librecast context.

chan is a pointer to a Librecast channel.

The overhead argument is the number of overhead packets to send in a single call to lc_channel_send(3) or lc_channel_sendmsg(3) . If >= 0, a single call to a sending function with LC_CODE_FEC_RQ enabled will cause K' + overhead packets to be sent.

If < 0, no automatic sending will occur.

RETURN VALUE
Returns the new overhead value.

ERRORS
None.

SEE ALSO
lc_channel_new(3), lc_channel_close(3), lc_channel_send(3), lc_channel_sendmsg(3), lc_channel_set_sym_key(3), lc_ctx_new(3), lc_socket_setopt(3), lc_socket_recv(3)